Update to version 2.33.1
[profile/ivi/glib2.git] / gio / inotify / Makefile.in
1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # GLIB - Library of useful C routines
19
20 VPATH = @srcdir@
21 pkgdatadir = $(datadir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkglibexecdir = $(libexecdir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40         $(top_srcdir)/Makefile.decl
41 subdir = gio/inotify
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/m4macros/gtk-doc.m4 \
44         $(top_srcdir)/m4macros/libtool.m4 \
45         $(top_srcdir)/m4macros/ltoptions.m4 \
46         $(top_srcdir)/m4macros/ltsugar.m4 \
47         $(top_srcdir)/m4macros/ltversion.m4 \
48         $(top_srcdir)/m4macros/lt~obsolete.m4 \
49         $(top_srcdir)/acinclude.m4 $(top_srcdir)/acglib.m4 \
50         $(top_srcdir)/glib/libcharset/codeset.m4 \
51         $(top_srcdir)/glib/libcharset/glibc21.m4 \
52         $(top_srcdir)/m4macros/glib-gettext.m4 \
53         $(top_srcdir)/configure.ac
54 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
55         $(ACLOCAL_M4)
56 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
57 CONFIG_HEADER = $(top_builddir)/config.h
58 CONFIG_CLEAN_FILES =
59 CONFIG_CLEAN_VPATH_FILES =
60 LTLIBRARIES = $(noinst_LTLIBRARIES)
61 libinotify_la_LIBADD =
62 am__objects_1 =
63 am_libinotify_la_OBJECTS = libinotify_la-inotify-kernel.lo \
64         libinotify_la-inotify-sub.lo libinotify_la-inotify-path.lo \
65         libinotify_la-inotify-missing.lo \
66         libinotify_la-inotify-helper.lo libinotify_la-inotify-diag.lo \
67         libinotify_la-ginotifyfilemonitor.lo \
68         libinotify_la-ginotifydirectorymonitor.lo $(am__objects_1)
69 libinotify_la_OBJECTS = $(am_libinotify_la_OBJECTS)
70 AM_V_lt = $(am__v_lt_@AM_V@)
71 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
72 am__v_lt_0 = --silent
73 libinotify_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
74         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libinotify_la_CFLAGS) \
75         $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
76 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
77 depcomp = $(SHELL) $(top_srcdir)/depcomp
78 am__depfiles_maybe = depfiles
79 am__mv = mv -f
80 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
81         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
82 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
83         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
84         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
85         $(AM_CFLAGS) $(CFLAGS)
86 AM_V_CC = $(am__v_CC_@AM_V@)
87 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
88 am__v_CC_0 = @echo "  CC    " $@;
89 AM_V_at = $(am__v_at_@AM_V@)
90 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
91 am__v_at_0 = @
92 CCLD = $(CC)
93 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
94         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
95         $(AM_LDFLAGS) $(LDFLAGS) -o $@
96 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
97 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
98 am__v_CCLD_0 = @echo "  CCLD  " $@;
99 AM_V_GEN = $(am__v_GEN_@AM_V@)
100 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
101 am__v_GEN_0 = @echo "  GEN   " $@;
102 SOURCES = $(libinotify_la_SOURCES)
103 DIST_SOURCES = $(libinotify_la_SOURCES)
104 ETAGS = etags
105 CTAGS = ctags
106 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
107 ABS_GLIB_RUNTIME_LIBDIR = @ABS_GLIB_RUNTIME_LIBDIR@
108 ABS_TAPSET_DIR = @ABS_TAPSET_DIR@
109 ACLOCAL = @ACLOCAL@
110 ALLOCA = @ALLOCA@
111 AMTAR = @AMTAR@
112 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
113 AR = @AR@
114 AS = @AS@
115 AUTOCONF = @AUTOCONF@
116 AUTOHEADER = @AUTOHEADER@
117 AUTOMAKE = @AUTOMAKE@
118 AWK = @AWK@
119 CATALOGS = @CATALOGS@
120 CATOBJEXT = @CATOBJEXT@
121 CC = @CC@
122 CCDEPMODE = @CCDEPMODE@
123 CFLAGS = @CFLAGS@
124 CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
125 CPP = @CPP@
126 CPPFLAGS = @CPPFLAGS@
127 CXX = @CXX@
128 CXXCPP = @CXXCPP@
129 CXXDEPMODE = @CXXDEPMODE@
130 CXXFLAGS = @CXXFLAGS@
131 CYGPATH_W = @CYGPATH_W@
132 DATADIRNAME = @DATADIRNAME@
133 DBUS1_CFLAGS = @DBUS1_CFLAGS@
134 DBUS1_LIBS = @DBUS1_LIBS@
135 DBUS_DAEMON = @DBUS_DAEMON@
136 DEFS = @DEFS@
137 DEPDIR = @DEPDIR@
138 DLLTOOL = @DLLTOOL@
139 DSYMUTIL = @DSYMUTIL@
140 DTRACE = @DTRACE@
141 DUMPBIN = @DUMPBIN@
142 ECHO_C = @ECHO_C@
143 ECHO_N = @ECHO_N@
144 ECHO_T = @ECHO_T@
145 EGREP = @EGREP@
146 EXEEXT = @EXEEXT@
147 FAM_LIBS = @FAM_LIBS@
148 FGREP = @FGREP@
149 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
150 GIO = @GIO@
151 GIO_MODULE_DIR = @GIO_MODULE_DIR@
152 GLIBC21 = @GLIBC21@
153 GLIB_BINARY_AGE = @GLIB_BINARY_AGE@
154 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
155 GLIB_COMPILE_SCHEMAS = @GLIB_COMPILE_SCHEMAS@
156 GLIB_DEBUG_FLAGS = @GLIB_DEBUG_FLAGS@
157 GLIB_EXTRA_CFLAGS = @GLIB_EXTRA_CFLAGS@
158 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
159 GLIB_INTERFACE_AGE = @GLIB_INTERFACE_AGE@
160 GLIB_LINK_FLAGS = @GLIB_LINK_FLAGS@
161 GLIB_MAJOR_VERSION = @GLIB_MAJOR_VERSION@
162 GLIB_MICRO_VERSION = @GLIB_MICRO_VERSION@
163 GLIB_MINOR_VERSION = @GLIB_MINOR_VERSION@
164 GLIB_RUNTIME_LIBDIR = @GLIB_RUNTIME_LIBDIR@
165 GLIB_VERSION = @GLIB_VERSION@
166 GLIB_WIN32_STATIC_COMPILATION_DEFINE = @GLIB_WIN32_STATIC_COMPILATION_DEFINE@
167 GMOFILES = @GMOFILES@
168 GMSGFMT = @GMSGFMT@
169 GREP = @GREP@
170 GSPAWN = @GSPAWN@
171 GTHREAD_COMPILE_IMPL_DEFINES = @GTHREAD_COMPILE_IMPL_DEFINES@
172 GTKDOC_CHECK = @GTKDOC_CHECK@
173 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
174 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
175 GTKDOC_MKPDF = @GTKDOC_MKPDF@
176 GTKDOC_REBASE = @GTKDOC_REBASE@
177 G_LIBS_EXTRA = @G_LIBS_EXTRA@
178 G_MODULE_BROKEN_RTLD_GLOBAL = @G_MODULE_BROKEN_RTLD_GLOBAL@
179 G_MODULE_HAVE_DLERROR = @G_MODULE_HAVE_DLERROR@
180 G_MODULE_IMPL = @G_MODULE_IMPL@
181 G_MODULE_LDFLAGS = @G_MODULE_LDFLAGS@
182 G_MODULE_LIBS = @G_MODULE_LIBS@
183 G_MODULE_LIBS_EXTRA = @G_MODULE_LIBS_EXTRA@
184 G_MODULE_NEED_USCORE = @G_MODULE_NEED_USCORE@
185 G_MODULE_PLUGIN_LIBS = @G_MODULE_PLUGIN_LIBS@
186 G_MODULE_SUPPORTED = @G_MODULE_SUPPORTED@
187 G_THREAD_CFLAGS = @G_THREAD_CFLAGS@
188 G_THREAD_LIBS = @G_THREAD_LIBS@
189 G_THREAD_LIBS_EXTRA = @G_THREAD_LIBS_EXTRA@
190 G_THREAD_LIBS_FOR_GTHREAD = @G_THREAD_LIBS_FOR_GTHREAD@
191 HTML_DIR = @HTML_DIR@
192 ICONV_LIBS = @ICONV_LIBS@
193 INDENT = @INDENT@
194 INSTALL = @INSTALL@
195 INSTALL_DATA = @INSTALL_DATA@
196 INSTALL_PROGRAM = @INSTALL_PROGRAM@
197 INSTALL_SCRIPT = @INSTALL_SCRIPT@
198 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
199 INSTOBJEXT = @INSTOBJEXT@
200 INTLLIBS = @INTLLIBS@
201 LD = @LD@
202 LDFLAGS = @LDFLAGS@
203 LIBELF_CFLAGS = @LIBELF_CFLAGS@
204 LIBELF_LIBS = @LIBELF_LIBS@
205 LIBFFI_CFLAGS = @LIBFFI_CFLAGS@
206 LIBFFI_LIBS = @LIBFFI_LIBS@
207 LIBOBJS = @LIBOBJS@
208 LIBS = @LIBS@
209 LIBTOOL = @LIBTOOL@
210 LIBTOOL_EXPORT_OPTIONS = @LIBTOOL_EXPORT_OPTIONS@
211 LIB_EXE_MACHINE_FLAG = @LIB_EXE_MACHINE_FLAG@
212 LIPO = @LIPO@
213 LN_S = @LN_S@
214 LTLIBOBJS = @LTLIBOBJS@
215 LTP = @LTP@
216 LTP_GENHTML = @LTP_GENHTML@
217 LT_AGE = @LT_AGE@
218 LT_CURRENT = @LT_CURRENT@
219 LT_CURRENT_MINUS_AGE = @LT_CURRENT_MINUS_AGE@
220 LT_RELEASE = @LT_RELEASE@
221 LT_REVISION = @LT_REVISION@
222 MAINT = @MAINT@
223 MAKEINFO = @MAKEINFO@
224 MANIFEST_TOOL = @MANIFEST_TOOL@
225 MKDIR_P = @MKDIR_P@
226 MKINSTALLDIRS = @MKINSTALLDIRS@
227 MSGFMT = @MSGFMT@
228 MSGFMT_OPTS = @MSGFMT_OPTS@
229 NETWORK_LIBS = @NETWORK_LIBS@
230 NM = @NM@
231 NMEDIT = @NMEDIT@
232 OBJDUMP = @OBJDUMP@
233 OBJEXT = @OBJEXT@
234 OTOOL = @OTOOL@
235 OTOOL64 = @OTOOL64@
236 PACKAGE = @PACKAGE@
237 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
238 PACKAGE_NAME = @PACKAGE_NAME@
239 PACKAGE_STRING = @PACKAGE_STRING@
240 PACKAGE_TARNAME = @PACKAGE_TARNAME@
241 PACKAGE_URL = @PACKAGE_URL@
242 PACKAGE_VERSION = @PACKAGE_VERSION@
243 PATH_SEPARATOR = @PATH_SEPARATOR@
244 PCRE_CFLAGS = @PCRE_CFLAGS@
245 PCRE_LIBS = @PCRE_LIBS@
246 PCRE_REQUIRES = @PCRE_REQUIRES@
247 PCRE_WARN_CFLAGS = @PCRE_WARN_CFLAGS@
248 PERL = @PERL@
249 PERL_PATH = @PERL_PATH@
250 PKG_CONFIG = @PKG_CONFIG@
251 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
252 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
253 PLATFORMDEP = @PLATFORMDEP@
254 POFILES = @POFILES@
255 POSUB = @POSUB@
256 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
257 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
258 PYTHON = @PYTHON@
259 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
260 PYTHON_PLATFORM = @PYTHON_PLATFORM@
261 PYTHON_PREFIX = @PYTHON_PREFIX@
262 PYTHON_VERSION = @PYTHON_VERSION@
263 RANLIB = @RANLIB@
264 REBUILD = @REBUILD@
265 SED = @SED@
266 SELINUX_LIBS = @SELINUX_LIBS@
267 SET_MAKE = @SET_MAKE@
268 SHELL = @SHELL@
269 SHTOOL = @SHTOOL@
270 STRIP = @STRIP@
271 USE_NLS = @USE_NLS@
272 VERSION = @VERSION@
273 WINDRES = @WINDRES@
274 XATTR_LIBS = @XATTR_LIBS@
275 XGETTEXT = @XGETTEXT@
276 XMLCATALOG = @XMLCATALOG@
277 XML_CATALOG_FILE = @XML_CATALOG_FILE@
278 XSLTPROC = @XSLTPROC@
279 ZLIB_CFLAGS = @ZLIB_CFLAGS@
280 ZLIB_LIBS = @ZLIB_LIBS@
281 abs_builddir = @abs_builddir@
282 abs_srcdir = @abs_srcdir@
283 abs_top_builddir = @abs_top_builddir@
284 abs_top_srcdir = @abs_top_srcdir@
285 ac_ct_AR = @ac_ct_AR@
286 ac_ct_CC = @ac_ct_CC@
287 ac_ct_CXX = @ac_ct_CXX@
288 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
289 am__include = @am__include@
290 am__leading_dot = @am__leading_dot@
291 am__quote = @am__quote@
292 am__tar = @am__tar@
293 am__untar = @am__untar@
294 bindir = @bindir@
295 build = @build@
296 build_alias = @build_alias@
297 build_cpu = @build_cpu@
298 build_os = @build_os@
299 build_vendor = @build_vendor@
300 builddir = @builddir@
301 config_h_INCLUDES = @config_h_INCLUDES@
302 datadir = @datadir@
303 datarootdir = @datarootdir@
304 docdir = @docdir@
305 dvidir = @dvidir@
306 exec_prefix = @exec_prefix@
307 gio_INCLUDES = @gio_INCLUDES@
308 glib_INCLUDES = @glib_INCLUDES@
309 gmodule_INCLUDES = @gmodule_INCLUDES@
310 gobject_INCLUDES = @gobject_INCLUDES@
311 gthread_INCLUDES = @gthread_INCLUDES@
312 host = @host@
313 host_alias = @host_alias@
314 host_cpu = @host_cpu@
315 host_os = @host_os@
316 host_vendor = @host_vendor@
317 htmldir = @htmldir@
318 includedir = @includedir@
319 infodir = @infodir@
320 install_sh = @install_sh@
321 libdir = @libdir@
322 libexecdir = @libexecdir@
323 localedir = @localedir@
324 localstatedir = @localstatedir@
325 mandir = @mandir@
326 mkdir_p = @mkdir_p@
327 ms_librarian = @ms_librarian@
328 oldincludedir = @oldincludedir@
329 pdfdir = @pdfdir@
330 pkgpyexecdir = @pkgpyexecdir@
331 pkgpythondir = @pkgpythondir@
332 prefix = @prefix@
333 program_transform_name = @program_transform_name@
334 psdir = @psdir@
335 pyexecdir = @pyexecdir@
336 pythondir = @pythondir@
337 sbindir = @sbindir@
338 sharedstatedir = @sharedstatedir@
339 srcdir = @srcdir@
340 sysconfdir = @sysconfdir@
341 target_alias = @target_alias@
342 top_build_prefix = @top_build_prefix@
343 top_builddir = @top_builddir@
344 top_srcdir = @top_srcdir@
345
346 #GTESTER = gtester                      # for non-GLIB packages
347 GTESTER = $(top_builddir)/glib/gtester                  # for the GLIB package
348 GTESTER_REPORT = $(top_builddir)/glib/gtester-report    # for the GLIB package
349
350 # initialize variables for unconditional += appending
351 EXTRA_DIST = 
352 TEST_PROGS = 
353 NULL = 
354 noinst_LTLIBRARIES = libinotify.la
355 libinotify_la_SOURCES = \
356         inotify-kernel.c                \
357         inotify-sub.c                   \
358         inotify-path.c                  \
359         inotify-missing.c               \
360         inotify-helper.c                \
361         inotify-diag.c                  \
362         inotify-diag.h                  \
363         inotify-kernel.h                \
364         inotify-missing.h               \
365         inotify-path.h                  \
366         inotify-sub.h                   \
367         inotify-helper.h                \
368         ginotifyfilemonitor.c           \
369         ginotifyfilemonitor.h           \
370         ginotifydirectorymonitor.c      \
371         ginotifydirectorymonitor.h      \
372         $(NULL)
373
374 libinotify_la_CFLAGS = \
375         -DG_LOG_DOMAIN=\"GLib-GIO\"     \
376         $(gio_INCLUDES)                 \
377         $(GLIB_DEBUG_FLAGS)             \
378         -DGIO_MODULE_DIR=\"$(GIO_MODULE_DIR)\"  \
379         -DGIO_COMPILATION               \
380         -DG_DISABLE_DEPRECATED
381
382 all: all-am
383
384 .SUFFIXES:
385 .SUFFIXES: .c .lo .o .obj
386 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.decl $(am__configure_deps)
387         @for dep in $?; do \
388           case '$(am__configure_deps)' in \
389             *$$dep*) \
390               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
391                 && { if test -f $@; then exit 0; else break; fi; }; \
392               exit 1;; \
393           esac; \
394         done; \
395         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu gio/inotify/Makefile'; \
396         $(am__cd) $(top_srcdir) && \
397           $(AUTOMAKE) --gnu gio/inotify/Makefile
398 .PRECIOUS: Makefile
399 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
400         @case '$?' in \
401           *config.status*) \
402             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
403           *) \
404             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
405             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
406         esac;
407 $(top_srcdir)/Makefile.decl:
408
409 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
410         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
411
412 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
413         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
414 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
415         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
416 $(am__aclocal_m4_deps):
417
418 clean-noinstLTLIBRARIES:
419         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
420         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
421           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
422           test "$$dir" != "$$p" || dir=.; \
423           echo "rm -f \"$${dir}/so_locations\""; \
424           rm -f "$${dir}/so_locations"; \
425         done
426 libinotify.la: $(libinotify_la_OBJECTS) $(libinotify_la_DEPENDENCIES) $(EXTRA_libinotify_la_DEPENDENCIES) 
427         $(AM_V_CCLD)$(libinotify_la_LINK)  $(libinotify_la_OBJECTS) $(libinotify_la_LIBADD) $(LIBS)
428
429 mostlyclean-compile:
430         -rm -f *.$(OBJEXT)
431
432 distclean-compile:
433         -rm -f *.tab.c
434
435 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libinotify_la-ginotifydirectorymonitor.Plo@am__quote@
436 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libinotify_la-ginotifyfilemonitor.Plo@am__quote@
437 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libinotify_la-inotify-diag.Plo@am__quote@
438 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libinotify_la-inotify-helper.Plo@am__quote@
439 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libinotify_la-inotify-kernel.Plo@am__quote@
440 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libinotify_la-inotify-missing.Plo@am__quote@
441 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libinotify_la-inotify-path.Plo@am__quote@
442 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libinotify_la-inotify-sub.Plo@am__quote@
443
444 .c.o:
445 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
446 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
447 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
448 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
449 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
450
451 .c.obj:
452 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
453 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
454 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
455 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
456 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
457
458 .c.lo:
459 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
460 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
461 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
462 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
463 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
464
465 libinotify_la-inotify-kernel.lo: inotify-kernel.c
466 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -MT libinotify_la-inotify-kernel.lo -MD -MP -MF $(DEPDIR)/libinotify_la-inotify-kernel.Tpo -c -o libinotify_la-inotify-kernel.lo `test -f 'inotify-kernel.c' || echo '$(srcdir)/'`inotify-kernel.c
467 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libinotify_la-inotify-kernel.Tpo $(DEPDIR)/libinotify_la-inotify-kernel.Plo
468 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='inotify-kernel.c' object='libinotify_la-inotify-kernel.lo' libtool=yes @AMDEPBACKSLASH@
469 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
470 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -c -o libinotify_la-inotify-kernel.lo `test -f 'inotify-kernel.c' || echo '$(srcdir)/'`inotify-kernel.c
471
472 libinotify_la-inotify-sub.lo: inotify-sub.c
473 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -MT libinotify_la-inotify-sub.lo -MD -MP -MF $(DEPDIR)/libinotify_la-inotify-sub.Tpo -c -o libinotify_la-inotify-sub.lo `test -f 'inotify-sub.c' || echo '$(srcdir)/'`inotify-sub.c
474 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libinotify_la-inotify-sub.Tpo $(DEPDIR)/libinotify_la-inotify-sub.Plo
475 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='inotify-sub.c' object='libinotify_la-inotify-sub.lo' libtool=yes @AMDEPBACKSLASH@
476 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
477 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -c -o libinotify_la-inotify-sub.lo `test -f 'inotify-sub.c' || echo '$(srcdir)/'`inotify-sub.c
478
479 libinotify_la-inotify-path.lo: inotify-path.c
480 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -MT libinotify_la-inotify-path.lo -MD -MP -MF $(DEPDIR)/libinotify_la-inotify-path.Tpo -c -o libinotify_la-inotify-path.lo `test -f 'inotify-path.c' || echo '$(srcdir)/'`inotify-path.c
481 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libinotify_la-inotify-path.Tpo $(DEPDIR)/libinotify_la-inotify-path.Plo
482 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='inotify-path.c' object='libinotify_la-inotify-path.lo' libtool=yes @AMDEPBACKSLASH@
483 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
484 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -c -o libinotify_la-inotify-path.lo `test -f 'inotify-path.c' || echo '$(srcdir)/'`inotify-path.c
485
486 libinotify_la-inotify-missing.lo: inotify-missing.c
487 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -MT libinotify_la-inotify-missing.lo -MD -MP -MF $(DEPDIR)/libinotify_la-inotify-missing.Tpo -c -o libinotify_la-inotify-missing.lo `test -f 'inotify-missing.c' || echo '$(srcdir)/'`inotify-missing.c
488 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libinotify_la-inotify-missing.Tpo $(DEPDIR)/libinotify_la-inotify-missing.Plo
489 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='inotify-missing.c' object='libinotify_la-inotify-missing.lo' libtool=yes @AMDEPBACKSLASH@
490 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
491 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -c -o libinotify_la-inotify-missing.lo `test -f 'inotify-missing.c' || echo '$(srcdir)/'`inotify-missing.c
492
493 libinotify_la-inotify-helper.lo: inotify-helper.c
494 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -MT libinotify_la-inotify-helper.lo -MD -MP -MF $(DEPDIR)/libinotify_la-inotify-helper.Tpo -c -o libinotify_la-inotify-helper.lo `test -f 'inotify-helper.c' || echo '$(srcdir)/'`inotify-helper.c
495 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libinotify_la-inotify-helper.Tpo $(DEPDIR)/libinotify_la-inotify-helper.Plo
496 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='inotify-helper.c' object='libinotify_la-inotify-helper.lo' libtool=yes @AMDEPBACKSLASH@
497 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
498 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -c -o libinotify_la-inotify-helper.lo `test -f 'inotify-helper.c' || echo '$(srcdir)/'`inotify-helper.c
499
500 libinotify_la-inotify-diag.lo: inotify-diag.c
501 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -MT libinotify_la-inotify-diag.lo -MD -MP -MF $(DEPDIR)/libinotify_la-inotify-diag.Tpo -c -o libinotify_la-inotify-diag.lo `test -f 'inotify-diag.c' || echo '$(srcdir)/'`inotify-diag.c
502 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libinotify_la-inotify-diag.Tpo $(DEPDIR)/libinotify_la-inotify-diag.Plo
503 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='inotify-diag.c' object='libinotify_la-inotify-diag.lo' libtool=yes @AMDEPBACKSLASH@
504 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
505 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -c -o libinotify_la-inotify-diag.lo `test -f 'inotify-diag.c' || echo '$(srcdir)/'`inotify-diag.c
506
507 libinotify_la-ginotifyfilemonitor.lo: ginotifyfilemonitor.c
508 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -MT libinotify_la-ginotifyfilemonitor.lo -MD -MP -MF $(DEPDIR)/libinotify_la-ginotifyfilemonitor.Tpo -c -o libinotify_la-ginotifyfilemonitor.lo `test -f 'ginotifyfilemonitor.c' || echo '$(srcdir)/'`ginotifyfilemonitor.c
509 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libinotify_la-ginotifyfilemonitor.Tpo $(DEPDIR)/libinotify_la-ginotifyfilemonitor.Plo
510 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='ginotifyfilemonitor.c' object='libinotify_la-ginotifyfilemonitor.lo' libtool=yes @AMDEPBACKSLASH@
511 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
512 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -c -o libinotify_la-ginotifyfilemonitor.lo `test -f 'ginotifyfilemonitor.c' || echo '$(srcdir)/'`ginotifyfilemonitor.c
513
514 libinotify_la-ginotifydirectorymonitor.lo: ginotifydirectorymonitor.c
515 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -MT libinotify_la-ginotifydirectorymonitor.lo -MD -MP -MF $(DEPDIR)/libinotify_la-ginotifydirectorymonitor.Tpo -c -o libinotify_la-ginotifydirectorymonitor.lo `test -f 'ginotifydirectorymonitor.c' || echo '$(srcdir)/'`ginotifydirectorymonitor.c
516 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libinotify_la-ginotifydirectorymonitor.Tpo $(DEPDIR)/libinotify_la-ginotifydirectorymonitor.Plo
517 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='ginotifydirectorymonitor.c' object='libinotify_la-ginotifydirectorymonitor.lo' libtool=yes @AMDEPBACKSLASH@
518 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
519 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libinotify_la_CFLAGS) $(CFLAGS) -c -o libinotify_la-ginotifydirectorymonitor.lo `test -f 'ginotifydirectorymonitor.c' || echo '$(srcdir)/'`ginotifydirectorymonitor.c
520
521 mostlyclean-libtool:
522         -rm -f *.lo
523
524 clean-libtool:
525         -rm -rf .libs _libs
526
527 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
528         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
529         unique=`for i in $$list; do \
530             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
531           done | \
532           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
533               END { if (nonempty) { for (i in files) print i; }; }'`; \
534         mkid -fID $$unique
535 tags: TAGS
536
537 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
538                 $(TAGS_FILES) $(LISP)
539         set x; \
540         here=`pwd`; \
541         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
542         unique=`for i in $$list; do \
543             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
544           done | \
545           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
546               END { if (nonempty) { for (i in files) print i; }; }'`; \
547         shift; \
548         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
549           test -n "$$unique" || unique=$$empty_fix; \
550           if test $$# -gt 0; then \
551             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
552               "$$@" $$unique; \
553           else \
554             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
555               $$unique; \
556           fi; \
557         fi
558 ctags: CTAGS
559 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
560                 $(TAGS_FILES) $(LISP)
561         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
562         unique=`for i in $$list; do \
563             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
564           done | \
565           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
566               END { if (nonempty) { for (i in files) print i; }; }'`; \
567         test -z "$(CTAGS_ARGS)$$unique" \
568           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
569              $$unique
570
571 GTAGS:
572         here=`$(am__cd) $(top_builddir) && pwd` \
573           && $(am__cd) $(top_srcdir) \
574           && gtags -i $(GTAGS_ARGS) "$$here"
575
576 distclean-tags:
577         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
578
579 distdir: $(DISTFILES)
580         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
581         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
582         list='$(DISTFILES)'; \
583           dist_files=`for file in $$list; do echo $$file; done | \
584           sed -e "s|^$$srcdirstrip/||;t" \
585               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
586         case $$dist_files in \
587           */*) $(MKDIR_P) `echo "$$dist_files" | \
588                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
589                            sort -u` ;; \
590         esac; \
591         for file in $$dist_files; do \
592           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
593           if test -d $$d/$$file; then \
594             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
595             if test -d "$(distdir)/$$file"; then \
596               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
597             fi; \
598             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
599               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
600               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
601             fi; \
602             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
603           else \
604             test -f "$(distdir)/$$file" \
605             || cp -p $$d/$$file "$(distdir)/$$file" \
606             || exit 1; \
607           fi; \
608         done
609 check-am: all-am
610         $(MAKE) $(AM_MAKEFLAGS) check-local
611 check: check-am
612 all-am: Makefile $(LTLIBRARIES)
613 installdirs:
614 install: install-am
615 install-exec: install-exec-am
616 install-data: install-data-am
617 uninstall: uninstall-am
618
619 install-am: all-am
620         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
621
622 installcheck: installcheck-am
623 install-strip:
624         if test -z '$(STRIP)'; then \
625           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
626             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
627               install; \
628         else \
629           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
630             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
631             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
632         fi
633 mostlyclean-generic:
634
635 clean-generic:
636
637 distclean-generic:
638         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
639         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
640
641 maintainer-clean-generic:
642         @echo "This command is intended for maintainers to use"
643         @echo "it deletes files that may require special tools to rebuild."
644 clean: clean-am
645
646 clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
647         mostlyclean-am
648
649 distclean: distclean-am
650         -rm -rf ./$(DEPDIR)
651         -rm -f Makefile
652 distclean-am: clean-am distclean-compile distclean-generic \
653         distclean-tags
654
655 dvi: dvi-am
656
657 dvi-am:
658
659 html: html-am
660
661 html-am:
662
663 info: info-am
664
665 info-am:
666
667 install-data-am:
668
669 install-dvi: install-dvi-am
670
671 install-dvi-am:
672
673 install-exec-am:
674
675 install-html: install-html-am
676
677 install-html-am:
678
679 install-info: install-info-am
680
681 install-info-am:
682
683 install-man:
684
685 install-pdf: install-pdf-am
686
687 install-pdf-am:
688
689 install-ps: install-ps-am
690
691 install-ps-am:
692
693 installcheck-am:
694
695 maintainer-clean: maintainer-clean-am
696         -rm -rf ./$(DEPDIR)
697         -rm -f Makefile
698 maintainer-clean-am: distclean-am maintainer-clean-generic
699
700 mostlyclean: mostlyclean-am
701
702 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
703         mostlyclean-libtool
704
705 pdf: pdf-am
706
707 pdf-am:
708
709 ps: ps-am
710
711 ps-am:
712
713 uninstall-am:
714
715 .MAKE: check-am install-am install-strip
716
717 .PHONY: CTAGS GTAGS all all-am check check-am check-local clean \
718         clean-generic clean-libtool clean-noinstLTLIBRARIES ctags \
719         distclean distclean-compile distclean-generic \
720         distclean-libtool distclean-tags distdir dvi dvi-am html \
721         html-am info info-am install install-am install-data \
722         install-data-am install-dvi install-dvi-am install-exec \
723         install-exec-am install-html install-html-am install-info \
724         install-info-am install-man install-pdf install-pdf-am \
725         install-ps install-ps-am install-strip installcheck \
726         installcheck-am installdirs maintainer-clean \
727         maintainer-clean-generic mostlyclean mostlyclean-compile \
728         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
729         tags uninstall uninstall-am
730
731
732 ### testing rules
733
734 # test: run all tests in cwd and subdirs
735 test: test-nonrecursive
736 @OS_UNIX_TRUE@  @ for subdir in $(SUBDIRS) . ; do \
737 @OS_UNIX_TRUE@      test "$$subdir" = "." -o "$$subdir" = "po" || \
738 @OS_UNIX_TRUE@      ( cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $@ ) || exit $? ; \
739 @OS_UNIX_TRUE@    done
740
741 # test-nonrecursive: run tests only in cwd
742 @OS_UNIX_TRUE@test-nonrecursive: ${TEST_PROGS}
743 @OS_UNIX_TRUE@  @test -z "${TEST_PROGS}" || G_DEBUG=gc-friendly MALLOC_CHECK_=2 MALLOC_PERTURB_=$$(($${RANDOM:-256} % 256)) ${GTESTER} --verbose ${TEST_PROGS}
744 @OS_UNIX_FALSE@test-nonrecursive:
745
746 # test-report: run tests in subdirs and generate report
747 # perf-report: run tests in subdirs with -m perf and generate report
748 # full-report: like test-report: with -m perf and -m slow
749 test-report perf-report full-report:    ${TEST_PROGS}
750         @test -z "${TEST_PROGS}" || { \
751           case $@ in \
752           test-report) test_options="-k";; \
753           perf-report) test_options="-k -m=perf";; \
754           full-report) test_options="-k -m=perf -m=slow";; \
755           esac ; \
756           if test -z "$$GTESTER_LOGDIR" ; then  \
757             ${GTESTER} --verbose $$test_options -o test-report.xml ${TEST_PROGS} ; \
758           elif test -n "${TEST_PROGS}" ; then \
759             ${GTESTER} --verbose $$test_options -o `mktemp "$$GTESTER_LOGDIR/log-XXXXXX"` ${TEST_PROGS} ; \
760           fi ; \
761         }
762         @ ignore_logdir=true ; \
763           if test -z "$$GTESTER_LOGDIR" ; then \
764             GTESTER_LOGDIR=`mktemp -d "\`pwd\`/.testlogs-XXXXXX"`; export GTESTER_LOGDIR ; \
765             ignore_logdir=false ; \
766           fi ; \
767           if test -d "$(top_srcdir)/.git" ; then \
768             REVISION=`git describe` ; \
769           else \
770             REVISION=$(VERSION) ; \
771           fi ; \
772           for subdir in $(SUBDIRS) . ; do \
773             test "$$subdir" = "." -o "$$subdir" = "po" || \
774             ( cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $@ ) || exit $? ; \
775           done ; \
776           $$ignore_logdir || { \
777             echo '<?xml version="1.0"?>'              > $@.xml ; \
778             echo '<report-collection>'               >> $@.xml ; \
779             echo '<info>'                            >> $@.xml ; \
780             echo '  <package>$(PACKAGE)</package>'   >> $@.xml ; \
781             echo '  <version>$(VERSION)</version>'   >> $@.xml ; \
782             echo "  <revision>$$REVISION</revision>" >> $@.xml ; \
783             echo '</info>'                           >> $@.xml ; \
784             for lf in `ls -L "$$GTESTER_LOGDIR"/.` ; do \
785               sed '1,1s/^<?xml\b[^>?]*?>//' <"$$GTESTER_LOGDIR"/"$$lf" >> $@.xml ; \
786             done ; \
787             echo >> $@.xml ; \
788             echo '</report-collection>' >> $@.xml ; \
789             rm -rf "$$GTESTER_LOGDIR"/ ; \
790             ${GTESTER_REPORT} --version 2>/dev/null 1>&2 ; test "$$?" != 0 || ${GTESTER_REPORT} $@.xml >$@.html ; \
791           }
792 .PHONY: test test-report perf-report full-report test-nonrecursive
793
794 .PHONY: lcov genlcov lcov-clean
795 # use recursive makes in order to ignore errors during check
796 lcov:
797         -$(MAKE) $(AM_MAKEFLAGS) -k check
798         $(MAKE) $(AM_MAKEFLAGS) genlcov
799
800 # we have to massage the lcov.info file slightly to hide the effect of libtool
801 # placing the objects files in the .libs/ directory separate from the *.c
802 # we also have to delete tests/.libs/libmoduletestplugin_*.gcda
803 genlcov:
804         rm -f $(top_builddir)/tests/.libs/libmoduletestplugin_*.gcda
805         $(LTP) --directory $(top_builddir) --capture --output-file glib-lcov.info --test-name GLIB_PERF --no-checksum --compat-libtool
806         LANG=C $(LTP_GENHTML) --prefix $(top_builddir) --output-directory glib-lcov --title "GLib Code Coverage" --legend --show-details glib-lcov.info
807         @echo "file://$(abs_top_builddir)/glib-lcov/index.html"
808
809 lcov-clean:
810         -$(LTP) --directory $(top_builddir) -z
811         -rm -rf glib-lcov.info glib-lcov
812         -find -name '*.gcda' -print | xargs rm
813
814 # run tests in cwd as part of make check
815 check-local: test-nonrecursive
816
817 # Tell versions [3.59,3.63) of GNU make to not export all variables.
818 # Otherwise a system limit (for SysV at least) may be exceeded.
819 .NOEXPORT: